diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/test/aodv-regression.h ns-3.43/src/aodv/test/aodv-regression.h
--- ns-3.42/src/aodv/test/aodv-regression.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/test/aodv-regression.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
@@ -33,132 +22,131 @@
  * \brief AODV chain regression test
  *
  * This script creates 1-dimensional grid topology and then ping last node from the first one:
- *
- * [10.1.1.1] <-- step --> [10.1.1.2] <-- step --> [10.1.1.3] <-- step --> [10.1.1.4] <-- step -->
-[10.1.1.5]
- *
- * Each node can hear only his right and his left neighbor, if they exist. When one third of total
-time expired,
- * central node moves away. After this, node 3 doesn't hear any packets from other nodes and nobody
-hears his packets.
+ */
+// clang-format off
+/**
+ *     [10.1.1.1] <-- step --> [10.1.1.2] <-- step --> [10.1.1.3] <-- step --> [10.1.1.4] <-- step --> [10.1.1.5]
+ */
+// clang-format on
+/**
+ * Each node can hear only his right and his left neighbor, if they exist.
+ * When one third of total time expired, central node moves away.
+ * After this, node 3 doesn't hear any packets from other nodes and nobody hears his packets.
  * We want to demonstrate in this script
  * 1) route establishing
  * 2) broken link detection both from layer 2 information and hello messages.
  *
+ */
+// clang-format off
+/**
  * \verbatim
- Expected packets time diagram.
+   Expected packets time diagram.
+
            1       2       3       4       5
-    <------|------>|       |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, U=1,
-hop=0, ID=1, org_seqno=1) src = 10.1.1.1
-           |<------|------>|       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, U=1,
-hop=1, ID=1, org_seqno=1) src = 10.1.1.2 |       |<------|------>|       |        RREQ
-(orig 10.1.1.1, dst 10.1.1.5, G=1, U=1, hop=2, ID=1, org_seqno=1) src = 10.1.1.3 |       |
-|<------|------>|        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, U=1, hop=3, ID=1, org_seqno=1) src
-= 10.1.1.4 |       |       |       |<------|------> ARP request. Who has 10.1.1.4? Tell 10.1.1.5 |
-|       |       |======>|        ARP reply |       |       |       |<======|        RREP
-(orig 10.1.1.1, dst 10.1.1.5, hop=0, dst_seqno=0) src=10.1.1.5 |       |       |<------|------>| ARP
-request. Who has 10.1.1.3? Tell 10.1.1.4 |       |       |======>|       |        ARP reply | |
-|<======|       |        RREP (orig 10.1.1.1, dst 10.1.1.5, hop=1, dst_seqno=0) src=10.1.1.4 |
-|<------|------>|       |        ARP request. Who has 10.1.1.2? Tell 10.1.1.3 |       |======>| | |
-ARP reply |       |<======|       |       |        RREP (orig 10.1.1.1, dst 10.1.1.5, hop=2,
-dst_seqno=0) src=10.1.1.3
+   <-------|------>|       |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, U=1, hop=0, ID=1, org_seqno=1) src = 10.1.1.1
+           |<------|------>|       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, U=1, hop=1, ID=1, org_seqno=1) src = 10.1.1.2
+           |       |<------|------>|       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, U=1, hop=2, ID=1, org_seqno=1) src = 10.1.1.3
+           |       |       |<------|------>|        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, U=1, hop=3, ID=1, org_seqno=1) src = 10.1.1.4
+           |       |       |       |<------|------> ARP request. Who has 10.1.1.4? Tell 10.1.1.5
+           |       |       |       |======>|        ARP reply
+           |       |       |       |<======|        RREP (orig 10.1.1.1, dst 10.1.1.5, hop=0, dst_seqno=0) src=10.1.1.5
+           |       |       |<------|------>|        ARP request. Who has 10.1.1.3? Tell 10.1.1.4
+           |       |       |======>|       |        ARP reply
+           |       |       |<======|       |        RREP (orig 10.1.1.1, dst 10.1.1.5, hop=1, dst_seqno=0) src=10.1.1.4
+           |       |<------|------>|       |        ARP request. Who has 10.1.1.2? Tell 10.1.1.3
+           |       |======>|       |       |        ARP reply
+           |       |<======|       |       |        RREP (orig 10.1.1.1, dst 10.1.1.5, hop=2, dst_seqno=0) src=10.1.1.3
            |<------|------>|       |       |        ARP request. Who has 10.1.1.1? Tell 10.1.1.2
            |======>|       |       |       |        ARP reply
-           |<======|       |       |       |        RREP (orig 10.1.1.1, dst 10.1.1.5, hop=3,
-dst_seqno=0) src=10.1.1.2
+           |<======|       |       |       |        RREP (orig 10.1.1.1, dst 10.1.1.5, hop=3, dst_seqno=0) src=10.1.1.2
    <-------|------>|       |       |       |        ARP request. Who has 10.1.1.2? Tell 10.1.1.1
            |<======|       |       |       |
-           |======>|       |       |       |        ICMP (ping) request 0 from 10.1.1.1 to 10.1.1.5;
-src=10.1.1.1 next_hop=10.1.1.2
+           |======>|       |       |       |        ICMP (ping) request 0 from 10.1.1.1 to 10.1.1.5; src=10.1.1.1 next_hop=10.1.1.2
            |<------|------>|       |       |        ARP request. Who has 10.1.1.3? Tell 10.1.1.2
            |       |<======|       |       |        ARP reply
-           |       |======>|       |       |        ICMP (ping) request 0 from 10.1.1.1 to 10.1.1.5;
-src=10.1.1.2 next_hop=10.1.1.3 |       |<------|------>|       |        ARP request. Who
-has 10.1.1.4? Tell 10.1.1.3 |       |       |<======|       |        ARP reply |       | |======>|
-|        ICMP (ping) request 0 from 10.1.1.1 to 10.1.1.5; src=10.1.1.3 next_hop=10.1.1.4 |       |
-|<------|------>|        ARP request. Who has 10.1.1.5? Tell 10.1.1.4 |       |       | |<======|
-ARP reply |       |       |       |======>|        ICMP (ping) request 0; src=10.1.1.4
-next_hop=10.1.1.5 |       |       |       |<======|        ICMP (ping) reply 0; src=10.1.1.5
-next_hop=10.1.1.4 |       |       |<======|       |        ICMP (ping) reply 0; src=10.1.1.4
-next_hop=10.1.1.3 |       |<======|       |       |        ICMP (ping) reply 0; src=10.1.1.3
-next_hop=10.1.1.2
-           |<======|       |       |       |        ICMP (ping) reply 0; src=10.1.1.2
-next_hop=10.1.1.1 |       |       |       |<------|------> Hello
+           |       |======>|       |       |        ICMP (ping) request 0 from 10.1.1.1 to 10.1.1.5; src=10.1.1.2 next_hop=10.1.1.3
+           |       |<------|------>|       |        ARP request. Who has 10.1.1.4? Tell 10.1.1.3
+           |       |       |<======|       |        ARP reply
+           |       |       |======>|       |        ICMP (ping) request 0 from 10.1.1.1 to 10.1.1.5; src=10.1.1.3 next_hop=10.1.1.4
+           |       |       |<------|------>|        ARP request. Who has 10.1.1.5? Tell 10.1.1.4
+           |       |       |       |<======|        ARP reply
+           |       |       |       |======>|        ICMP (ping) request 0; src=10.1.1.4 next_hop=10.1.1.5
+           |       |       |       |<======|        ICMP (ping) reply 0; src=10.1.1.5 next_hop=10.1.1.4
+           |       |       |<======|       |        ICMP (ping) reply 0; src=10.1.1.4 next_hop=10.1.1.3
+           |       |<======|       |       |        ICMP (ping) reply 0; src=10.1.1.3 next_hop=10.1.1.2
+           |<======|       |       |       |        ICMP (ping) reply 0; src=10.1.1.2 next_hop=10.1.1.1
+           |       |       |       |<------|------> Hello
            |<------|------>|       |       |        Hello
-    <------|------>|       |       |       |        Hello
+   <-------|------>|       |       |       |        Hello
            |       |<------|------>|       |        Hello
-           |======>|       |       |       |        ICMP (ping) request 1; src=10.1.1.1
-next_hop=10.1.1.2 |       |       |<------|------>|        Hello |       |======>|       |       |
-ICMP (ping) request 1; src=10.1.1.2 next_hop=10.1.1.3 |       |       |======>|       |        ICMP
-(ping) request 1; src=10.1.1.3 next_hop=10.1.1.4 |       |       |       |======>|        ICMP
-(ping) request 1; src=10.1.1.4 next_hop=10.1.1.5 |       |       |       |<======|        ICMP
-(ping) reply 1; src=10.1.1.5 next_hop=10.1.1.4 |       |       |<======|       |        ICMP (ping)
-reply 1; src=10.1.1.4 next_hop=10.1.1.3 |       |<======|       |       |        ICMP (ping) reply
-11; src=10.1.1.3 next_hop=10.1.1.2
-           |<======|       |       |       |        ICMP (ping) reply 1; src=10.1.1.2
-next_hop=10.1.1.1 |       |       |       |<------|------> Hello
+           |======>|       |       |       |        ICMP (ping) request 1; src=10.1.1.1 next_hop=10.1.1.2
+           |       |       |<------|------>|        Hello
+           |       |======>|       |       |        ICMP (ping) request 1; src=10.1.1.2 next_hop=10.1.1.3
+           |       |       |======>|       |        ICMP (ping) request 1; src=10.1.1.3 next_hop=10.1.1.4
+           |       |       |       |======>|        ICMP (ping) request 1; src=10.1.1.4 next_hop=10.1.1.5
+           |       |       |       |<======|        ICMP (ping) reply 1; src=10.1.1.5 next_hop=10.1.1.4
+           |       |       |<======|       |        ICMP (ping) reply 1; src=10.1.1.4 next_hop=10.1.1.3
+           |       |<======|       |       |        ICMP (ping) reply 11; src=10.1.1.3 next_hop=10.1.1.2
+           |<======|       |       |       |        ICMP (ping) reply 1; src=10.1.1.2 next_hop=10.1.1.1
+           |       |       |       |<------|------> Hello
            |<------|------>|       |       |        Hello
-    <------|------>|       |       |       |        Hello
+   <-------|------>|       |       |       |        Hello
            |       |       |<------|------>|        Hello
            |       |<------|------>|       |        Hello
-           |======>|       |       |       |        ICMP (ping) request 2; src=10.1.1.1
-next_hop=10.1.1.2 |       |======>|       |       |        ICMP (ping) request 2; src=10.1.1.2
-next_hop=10.1.1.3 |       |       |======>|       |        ICMP (ping) request 2; src=10.1.1.3
-next_hop=10.1.1.4 |       |       |       |======>|        ICMP (ping) request 2; src=10.1.1.4
-next_hop=10.1.1.5 |       |       |       |<======|        ICMP (ping) reply 2; src=10.1.1.5
-next_hop=10.1.1.4 |       |       |<======|       |        ICMP (ping) reply 2; src=10.1.1.4
-next_hop=10.1.1.3 |       |<======|       |       |        ICMP (ping) reply 2; src=10.1.1.3
-next_hop=10.1.1.2
-           |<======|       |       |       |        ICMP (ping) reply 2; src=10.1.1.2
-next_hop=10.1.1.1 |       |       |       |<------|------> Hello
-    <------|------>|       |       |       |        Hello
+           |======>|       |       |       |        ICMP (ping) request 2; src=10.1.1.1 next_hop=10.1.1.2
+           |       |======>|       |       |        ICMP (ping) request 2; src=10.1.1.2 next_hop=10.1.1.3
+           |       |       |======>|       |        ICMP (ping) request 2; src=10.1.1.3 next_hop=10.1.1.4
+           |       |       |       |======>|        ICMP (ping) request 2; src=10.1.1.4 next_hop=10.1.1.5
+           |       |       |       |<======|        ICMP (ping) reply 2; src=10.1.1.5 next_hop=10.1.1.4
+           |       |       |<======|       |        ICMP (ping) reply 2; src=10.1.1.4 next_hop=10.1.1.3
+           |       |<======|       |       |        ICMP (ping) reply 2; src=10.1.1.3 next_hop=10.1.1.2
+           |<======|       |       |       |        ICMP (ping) reply 2; src=10.1.1.2 next_hop=10.1.1.1
+           |       |       |       |<------|------> Hello
+   <-------|------>|       |       |       |        Hello
            |       |<------|------>|       |        Hello
            |<------|------>|       |       |        Hello
            |       |       |<------|------>|        Hello
-           |======>|       |       |       |        ICMP (ping) request 3; src=10.1.1.1
-next_hop=10.1.1.2 |       |======>|       |       |        ICMP (ping) request 3; src=10.1.1.2
-next_hop=10.1.1.3 |       |       |======>|       |        ICMP (ping) request 3; src=10.1.1.3
-next_hop=10.1.1.4 |       |       |       |======>|        ICMP (ping) request 3; src=10.1.1.4
-next_hop=10.1.1.5 |       |       |       |<======|        ICMP (ping) reply 3; src=10.1.1.5
-next_hop=10.1.1.4 |       |       |<======|       |        ICMP (ping) reply 3; src=10.1.1.4
-next_hop=10.1.1.3 |       |<======|       |       |        ICMP (ping) reply 3; src=10.1.1.3
-next_hop=10.1.1.2
-           |<======|       |       |       |        ICMP (ping) reply 3; src=10.1.1.2
-next_hop=10.1.1.1 |       |       |       |<------|------> Hello
-    <------|------>|       |       |       |        Hello
+           |======>|       |       |       |        ICMP (ping) request 3; src=10.1.1.1 next_hop=10.1.1.2
+           |       |======>|       |       |        ICMP (ping) request 3; src=10.1.1.2 next_hop=10.1.1.3
+           |       |       |======>|       |        ICMP (ping) request 3; src=10.1.1.3 next_hop=10.1.1.4
+           |       |       |       |======>|        ICMP (ping) request 3; src=10.1.1.4 next_hop=10.1.1.5
+           |       |       |       |<======|        ICMP (ping) reply 3; src=10.1.1.5 next_hop=10.1.1.4
+           |       |       |<======|       |        ICMP (ping) reply 3; src=10.1.1.4 next_hop=10.1.1.3
+           |       |<======|       |       |        ICMP (ping) reply 3; src=10.1.1.3 next_hop=10.1.1.2
+           |<======|       |       |       |        ICMP (ping) reply 3; src=10.1.1.2 next_hop=10.1.1.1
+           |       |       |       |<------|------> Hello
+   <-------|------>|       |       |       |        Hello
            |<------|-->    |       |       |        Hello   |
-           |       |    <--|-->    |       |        Hello   |Node 3 move away => nobody hear his
-packets and node 3 doesn't hear anything ! |       |       |    <--|------>|        Hello   |
-           |======>|       |       |       |        ICMP (ping) request 4; src=10.1.1.1
-next_hop=10.1.1.2 |       |==>    |       |       |        ICMP (ping) request 4; src=10.1.1.2
-next_hop=10.1.1.3.   7 retries.
-           |<======|       |       |       |        RERR (unreachable dst 10.1.1.3 & 10.1.1.5)
-src=10.1.1.2 |       |       |       |<------|------> Hello
-    <------|------>|       |       |       |        Hello
+           |       |    <--|-->    |       |        Hello   |Node 3 move away => nobody hear his packets and node 3 doesn't hear anything !
+           |       |       |    <--|------>|        Hello   |
+           |======>|       |       |       |        ICMP (ping) request 4; src=10.1.1.1 next_hop=10.1.1.2
+           |       |==>    |       |       |        ICMP (ping) request 4; src=10.1.1.2 next_hop=10.1.1.3.   7 retries.
+           |<======|       |       |       |        RERR (unreachable dst 10.1.1.3 & 10.1.1.5) src=10.1.1.2
+           |       |       |       |<------|------> Hello
+   <-------|------>|       |       |       |        Hello
            |<------|-->    |       |       |        Hello
            |       |    <--|-->    |       |        Hello
            |       |       |    <--|------>|        Hello
-    <------|------>|       |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=0,
-ID=2, org_seqno=2) src = 10.1.1.1
-           |<------|-->    |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=1,
-ID=2, org_seqno=2) src = 10.1.1.2 |       |       |       |<------|------> Hello |       |       |
-<--|------>|        Hello |       |    <--|-->    |       |        Hello
+   <-------|------>|       |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=0, ID=2, org_seqno=2) src = 10.1.1.1
+           |<------|-->    |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=1, ID=2, org_seqno=2) src = 10.1.1.2
+           |       |       |       |<------|------> Hello
+           |       |       |    <--|------>|        Hello
+           |       |    <--|-->    |       |        Hello
            |<------|-->    |       |       |        Hello
-    <------|------>|       |       |       |        Hello
-           |       |       |       |======>|        RERR (unreachable dst 10.1.1.1 & 10.1.1.3)
-src=10.1.1.4 |       |       |       |<------|------> Hello |       |       |    <--|------>| Hello
+   <-------|------>|       |       |       |        Hello
+           |       |       |       |======>|        RERR (unreachable dst 10.1.1.1 & 10.1.1.3) src=10.1.1.4
+           |       |       |       |<------|------> Hello
+           |       |       |    <--|------>|        Hello
            |       |    <--|-->    |       |        Hello
            |<------|-->    |       |       |        Hello
-    <------|------>|       |       |       |        Hello
+   <-------|------>|       |       |       |        Hello
            |       |       |       |<------|------> Hello
-    <------|------>|       |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=0,
-ID=4, org_seqno=3) src = 10.1.1.1
-           |<------|-->    |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=1,
-ID=4, org_seqno=3) src = 10.1.1.2
-
-..................................................................
- * \endverbatim
+   <-------|------>|       |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=0, ID=4, org_seqno=3) src = 10.1.1.1
+           |<------|-->    |       |       |        RREQ (orig 10.1.1.1, dst 10.1.1.5, G=1, hop=1, ID=4, org_seqno=3) src = 10.1.1.2
+   .................................................
+   \endverbatim
  */
+//clang-format on
 class ChainRegressionTest : public TestCase
 {
   public:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/test/aodv-test-suite.cc ns-3.43/src/aodv/test/aodv-test-suite.cc
--- ns-3.42/src/aodv/test/aodv-test-suite.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/test/aodv-test-suite.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/test/bug-772.cc ns-3.43/src/aodv/test/bug-772.cc
--- ns-3.42/src/aodv/test/bug-772.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/test/bug-772.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
@@ -163,7 +152,7 @@
     NetDeviceContainer devices = wifi.Install(wifiPhy, wifiMac, *m_nodes);
 
     // Assign fixed stream numbers to wifi and channel random variables
-    streamsUsed += wifi.AssignStreams(devices, streamsUsed);
+    streamsUsed += WifiHelper::AssignStreams(devices, streamsUsed);
     // Assign 6 streams per device
     NS_TEST_ASSERT_MSG_EQ(streamsUsed, (devices.GetN() * 2), "Stream assignment mismatch");
     streamsUsed += wifiChannel.AssignStreams(chan, streamsUsed);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/test/bug-772.h ns-3.43/src/aodv/test/bug-772.h
--- ns-3.42/src/aodv/test/bug-772.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/test/bug-772.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/aodv/test/loopback.cc ns-3.43/src/aodv/test/loopback.cc
--- ns-3.42/src/aodv/test/loopback.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/aodv/test/loopback.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/doc/applications.h ns-3.43/src/applications/doc/applications.h
--- ns-3.42/src/applications/doc/applications.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/doc/applications.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/examples/three-gpp-http-example.cc ns-3.43/src/applications/examples/three-gpp-http-example.cc
--- ns-3.42/src/applications/examples/three-gpp-http-example.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/examples/three-gpp-http-example.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Lauri Sormunen <lauri.sormunen@magister.fi>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/bulk-send-helper.cc ns-3.43/src/applications/helper/bulk-send-helper.cc
--- ns-3.42/src/applications/helper/bulk-send-helper.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/bulk-send-helper.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Geoge Riley <riley@ece.gatech.edu>
  * Adapted from OnOffHelper by:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/bulk-send-helper.h ns-3.43/src/applications/helper/bulk-send-helper.h
--- ns-3.42/src/applications/helper/bulk-send-helper.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/bulk-send-helper.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Geoge Riley <riley@ece.gatech.edu>
  * Adapted from OnOffHelper by:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/on-off-helper.cc ns-3.43/src/applications/helper/on-off-helper.cc
--- ns-3.42/src/applications/helper/on-off-helper.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/on-off-helper.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/on-off-helper.h ns-3.43/src/applications/helper/on-off-helper.h
--- ns-3.42/src/applications/helper/on-off-helper.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/on-off-helper.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/helper/packet-sink-helper.cc ns-3.43/src/applications/helper/packet-sink-helper.cc
--- ns-3.42/src/applications/helper/packet-sink-helper.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/helper/packet-sink-helper.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
